%define upstream_name    Treemap
%define upstream_version 0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Make a Treemap, using the squarified treemap algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Imager)
BuildRequires: perl(XML::Simple)
BuildArch: noarch

%description
This base class is not meant to be directly instantiated. Subclasses of
Treemap which implement specific Treemap layout algorithms should be
instantiated instead. See the SEE ALSO section below for a list.

Traditional representations of hiarchal information trees are very space
consuming. There is a large amount of redundant information and padding to
convey the tree structure.

Treemaps are representations of trees that use space-filling nested
rectangles to convey the tree structure.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sat Nov 05 2011 kharec <kharec> 0.200.0-1.mga2
+ Revision: 163747
- imported package perl-Treemap


* Sat Nov 05 2011 cpan2dist 0.2-1mga
- initial mageia release, generated with cpan2dist
